Debian Bug report logs - #566215
Missing dependency: liblua5.1-filesystem0

version graph

Package: liblua5.1-wsapi0; Maintainer for liblua5.1-wsapi0 is (unknown);

Reported by: Steven Chamberlain <steven@pyro.eu.org>

Date: Fri, 22 Jan 2010 04:18:01 UTC

Severity: normal

Found in version lua-wsapi/1.0.0-1

Fixed in version lua-wsapi/1.1.0-7

Done: Enrico Tassi <gareuselesinge@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#566215; Package liblua5.1-wsapi0. (Fri, 22 Jan 2010 04:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
New Bug report received and forwarded. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. (Fri, 22 Jan 2010 04:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: submit@bugs.debian.org
Subject: Missing dependency: liblua5.1-filesystem0
Date: Fri, 22 Jan 2010 03:53:38 +0000
Package: liblua5.1-wsapi0
Version: 1.0.0-1

Hi,

I believe this package is missing a dependency on package
liblua5.1-filesystem0 :

> lua: /usr/share/lua/5.1/wsapi/common.lua:9: module 'lfs' not found:
>         no field package.preload['lfs']
>         no file './lfs.lua'
>         no file '/usr/local/share/lua/5.1/lfs.lua'
>         no file '/usr/local/share/lua/5.1/lfs/init.lua'
>         no file '/usr/local/lib/lua/5.1/lfs.lua'
>         no file '/usr/local/lib/lua/5.1/lfs/init.lua'
>         no file '/usr/share/lua/5.1/lfs.lua'
>         no file '/usr/share/lua/5.1/lfs/init.lua'
>         no file './lfs.so'
>         no file '/usr/local/lib/lua/5.1/lfs.so'
>         no file '/usr/lib/lua/5.1/lfs.so'
>         no file '/usr/local/lib/lua/5.1/loadall.so'

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Reply sent to Enrico Tassi <gareuselesinge@debian.org>:
You have taken responsibility. (Sun, 31 Jan 2010 15:51:15 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Sun, 31 Jan 2010 15:51:15 GMT) Full text and rfc822 format available.

Message #10 received at 566215-close@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: 566215-close@bugs.debian.org
Subject: Bug#566215: fixed in lua-wsapi 1.1.0-7
Date: Sun, 31 Jan 2010 15:47:28 +0000
Source: lua-wsapi
Source-Version: 1.1.0-7

We believe that the bug you reported is fixed in the latest version of
lua-wsapi, which is due to be installed in the Debian FTP archive:

liblua5.1-wsapi-doc_1.1.0-7_all.deb
  to main/l/lua-wsapi/liblua5.1-wsapi-doc_1.1.0-7_all.deb
liblua5.1-wsapi-fcgi-1_1.1.0-7_amd64.deb
  to main/l/lua-wsapi/liblua5.1-wsapi-fcgi-1_1.1.0-7_amd64.deb
liblua5.1-wsapi-fcgi-dev_1.1.0-7_amd64.deb
  to main/l/lua-wsapi/liblua5.1-wsapi-fcgi-dev_1.1.0-7_amd64.deb
liblua5.1-wsapi1_1.1.0-7_all.deb
  to main/l/lua-wsapi/liblua5.1-wsapi1_1.1.0-7_all.deb
lua-wsapi_1.1.0-7.diff.gz
  to main/l/lua-wsapi/lua-wsapi_1.1.0-7.diff.gz
lua-wsapi_1.1.0-7.dsc
  to main/l/lua-wsapi/lua-wsapi_1.1.0-7.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566215@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Enrico Tassi <gareuselesinge@debian.org> (supplier of updated lua-wsapi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 31 Jan 2010 16:19:21 +0100
Source: lua-wsapi
Binary: liblua5.1-wsapi-fcgi-1 liblua5.1-wsapi-fcgi-dev liblua5.1-wsapi1 liblua5.1-wsapi-doc
Architecture: source all amd64
Version: 1.1.0-7
Distribution: unstable
Urgency: low
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Changed-By: Enrico Tassi <gareuselesinge@debian.org>
Description: 
 liblua5.1-wsapi-doc - wsapi documentation files for the Lua language version 5.1
 liblua5.1-wsapi-fcgi-1 - Web server API fastcgi backend
 liblua5.1-wsapi-fcgi-dev - wsapi fastcgi development files for the Lua language version 5.1
 liblua5.1-wsapi1 - Web server API abstraction layer for the Lua language version 5.1
Closes: 566215
Changes: 
 lua-wsapi (1.1.0-7) unstable; urgency=low
 .
   * Updated standards-version to 3.8.3:
     - added README.source
   * Added dependency over liblua5.1-filesystem0 (Closes: #566215)
Checksums-Sha1: 
 27705987d7dd2dae4d0b6c6b57e625a166a2ee63 1273 lua-wsapi_1.1.0-7.dsc
 38693706a9ea282dd23f0b6acd46636ed92812b3 4698 lua-wsapi_1.1.0-7.diff.gz
 7430ecfe626a84d056967a16a2601a70cc7567a3 13758 liblua5.1-wsapi1_1.1.0-7_all.deb
 c36def16b3abb75c0413df32531c8f0f93d5fd4c 20992 liblua5.1-wsapi-doc_1.1.0-7_all.deb
 f8d1f9829e66cde02325ac5d5fc75c41b310cfe1 12410 liblua5.1-wsapi-fcgi-1_1.1.0-7_amd64.deb
 318e3c41f429b2d0521f2ab9b47a60132bcd900f 10862 liblua5.1-wsapi-fcgi-dev_1.1.0-7_amd64.deb
Checksums-Sha256: 
 7882af6a3e67236eceb48a82bf7dffffb8d60dc3af14a605575d36784d819b52 1273 lua-wsapi_1.1.0-7.dsc
 5251d11bd5133afb9e559244883ffbad6dcd81388ddfc46cc1204fe852e6f18e 4698 lua-wsapi_1.1.0-7.diff.gz
 77042198a679ebf3034a09c313dafa10666a5397481b07c1479e1e80c7214fba 13758 liblua5.1-wsapi1_1.1.0-7_all.deb
 ac77880570e3d1a151f909fe766902eff08f9f2caebf186172e84318dd31c3ef 20992 liblua5.1-wsapi-doc_1.1.0-7_all.deb
 172a443462fbbf205aee0828e80018bd0fd209b3e41956e1d81eba74fc12ef41 12410 liblua5.1-wsapi-fcgi-1_1.1.0-7_amd64.deb
 dd654f5e237e905ebd2185cd30954ef48d4cf665e4bd099366b5ea0080f4e015 10862 liblua5.1-wsapi-fcgi-dev_1.1.0-7_amd64.deb
Files: 
 a9d45a58472547302b59ff3d9f10db06 1273 interpreters optional lua-wsapi_1.1.0-7.dsc
 39be8b4a32ad2dbc9a55ad462e8cf5ce 4698 interpreters optional lua-wsapi_1.1.0-7.diff.gz
 c34462dc0363ff5d8a2099c6f4e06213 13758 interpreters optional liblua5.1-wsapi1_1.1.0-7_all.deb
 10aba38ddedbd54a35803a285448f1cc 20992 doc optional liblua5.1-wsapi-doc_1.1.0-7_all.deb
 79d2e4839bfb90a3d45fe17b7b295e36 12410 interpreters optional liblua5.1-wsapi-fcgi-1_1.1.0-7_amd64.deb
 dd4e38f62ea3fe75ad8c4a09952588ed 10862 libdevel optional liblua5.1-wsapi-fcgi-dev_1.1.0-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktloaMACgkQ7kkcPgEj8vKWfACbBEZY6zlr1PYr7jHh1LumylGY
KTYAoIw+uRobhPlTYJXX/LE5OC0OYFjA
=+ZA4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Mar 2010 07:28:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:17:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.